目标平台问题

sxfwang 2013-02-05 09:45:23
VS2008选择更改目标平台的时候有4个选项:
1. Windows CE,
2. Windows Mobile 5.0 Pocket PC SDK,
3. Windows Mobile 5.0 Smartphone SDK,
4. Windows Mobile 6 Professional SDK。
因为程序里用到了SQL,发现1,2,4部署的都是sqlce.ppc.wce5.armv4i.CAB(Windows Mobile Pocket PC Engine),在模拟器中部署没有问题,程序都能正常运行,但在设备上无法部署,因为应该用sqlce.wce5.armv4i.CAB(Windows CE Engine),手工安装sql,程序也不能正常运行。
应该怎么样才能改到sqlce.wce5.armv4i.CAB(Windows CE Engine)?
...全文
131 5 点赞 打赏 收藏 举报
写回复
5 条回复
切换为时间正序
当前发帖距今超过3年,不再开放新的回复
发表回复
西山小月 2013-02-07
自己找一个装上呢?
  • 打赏
  • 举报
回复
wd1394 2013-02-07
如果确定目标设备是WinCE 6.0的话,可以自己用VS2005+WinCE6.0的环境建立一个ARM的工程,然后生成WinCE6.0的SDK,再安装到VS2005下面(不确定VS2008是否可以安装),然后用VS2005编译应用程序,选择这个安装的WinCE6.0 SDK设备作为目标设备。
  • 打赏
  • 举报
回复
91program 2013-02-07
引用 3 楼 slek 的回复:
自己找一个装上呢?
自己能不能安装,取决于设备上的OS是否支持?特别是注册表是否是 HIVE 的。 最基本的解决之道是定制系统,但估计 LZ 没有 BSP,想定制不太可能。
  • 打赏
  • 举报
回复
91program 2013-02-06
设备上是什么系统呢?
  • 打赏
  • 举报
回复
sxfwang 2013-02-06
设备是denso BHT1100,操作系统应该是wince 6.0, 我把sql的安装文件复制过去,只有sqlce.wce5.armv4i.CAB(Windows CE Engine)能够安装。
  • 打赏
  • 举报
回复
相关推荐
发帖
嵌入开发(WinCE)
加入

1.9w+

社区成员

硬件/嵌入开发 嵌入开发(WinCE)
申请成为版主
帖子事件
创建了帖子
2013-02-05 09:45
社区公告
暂无公告